import useEngineContext from "./useEngineContext.js";
import { useMemo } from "react";
//#region src/hooks/useComponents.ts
const useComponents = (params) => {
	const { components } = params;
	const { appHelper } = useEngineContext();
	return useMemo(() => {
		var _utils$getComponents;
		const { utils } = appHelper || {};
		return (utils === null || utils === void 0 || (_utils$getComponents = utils.getComponents) === null || _utils$getComponents === void 0 ? void 0 : _utils$getComponents.call(utils, components)) || [];
	}, [components]);
};
//#endregion
export { useComponents as default };
